Name:           patator
Version:        0.8
Release:        1%{?dist}
Summary:        A multi-purpose brute-forcer

License:        GPLv2
URL:            https://github.com/lanjelot/patator
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

Requires:       python3-paramiko
Requires:       python3-pycurl
Requires:       python3-impacket
Requires:       python3-dns
Requires:       python3-pysnmp
Requires:       python3-pyasn1
Requires:       python3-crypto
Requires:       python3-pyOpenSSL
Requires:       python3-mysqlclient
Requires:       python3-IPy
Requires:       python3-ajpy
Requires:       python3-cx-oracle
Requires:       python3-psycopg2

Requires:       ike-scan
Requires:       freerdp
Requires:       unzip
Requires:       openldap-clients

%description
Patator is a multi-purpose brute-forcer, with a modular design and a flexible
usage. It supports a wide range of services.

%prep
%autosetup

%build
# Nothing to build

%install
install -d %{buildroot}%{_bindir}
install -m 755 patator.py %{buildroot}%{_bindir}/patator

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}

%changelog
* Mon Mar 23 2020 Fabian Affolter <mail@fabian-affolter.ch> - 0.8-1
- Add new BRs
- Update to lastest upstream release 0.8
- Update spec file to match new guidelines

* Sat Nov 10 2012 Fabian Affolter <mail@fabian-affolter.ch> - 0.4-1
- Initial package for Fedora
